Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Mandrake Local Security Checks >> MDKSA-2007:005: xorg-x11


Vulnerability Assessment Details

MDKSA-2007:005: xorg-x11

Vulnerability Assessment Summary
Check for the version of the xorg-x11 package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory MDKSA-2007:005 (xorg-x11).

Sean Larsson of iDefense Labs discovered several vulnerabilities in
X.Org/XFree86:
Local exploitation of a memory corruption vulnerability in the
'ProcRenderAddGlyphs()' function in the X.Org and XFree86 X server
could permit a possible hacker to execute arbitrary code with rights of
the X server, typically root. (CVE-2006-6101)
Local exploitation of a memory corruption vulnerability in the
'ProcDbeGetVisualInfo()' function in the X.Org and XFree86 X server
could permit a possible hacker to execute arbitrary code with rights of
the X server, typically root. (CVE-2006-6102)
Local exploitation of a memory corruption vulnerability in the
'ProcDbeSwapBuffers()' function in the X.Org and XFree86 X server could
permit a possible hacker to execute arbitrary code with rights of the X
server, typically root. (CVE-2006-6103)
Updated packages are patched to address these issues.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2007:005
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2007 Tenable Network Security

Cables, Connectors

IBM HS22 BLADECENTER SERVER L5530 2.40GHZ 8GB RAM 2 X 600GB 10K SAS
$609.0
IBM HS22 BLADECENTER SERVER L5530 2.40GHZ 8GB RAM 2 X 600GB 10K SAS pictureIBM HS22 BLADECENTER SERVER TWO E5506 2.13GHZ 32GB 300GB 15K SAS
$519.0
IBM HS22 BLADECENTER SERVER TWO E5506 2.13GHZ 32GB 300GB 15K SAS pictureDELL POWEREDGE M630 E5-2680V4 2.4GHZ 96GB 2 X 600GB SSD S130
$3109.0
DELL POWEREDGE M630 E5-2680V4 2.4GHZ 96GB 2 X 600GB SSD S130 pictureDELL POWEREDGE M620 BLADE E5-2650LV2 1.70GHZ 192GB 2 X 1.2TB 10K SAS H710P
$2739.0
DELL POWEREDGE M620 BLADE E5-2650LV2 1.70GHZ 192GB 2 X 1.2TB 10K SAS H710P picture


Discussions

No Discussions have been posted on this vulnerability.